package com.zanxiang.game.data.serve.task;

import com.zanxiang.game.data.serve.service.IOrderCostMonitorAlarmService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author ZhangXianyu
 * @version 1.0
 * @description: 表监控告警定时任务 (监控订单表、头条广告消耗表、腾讯广告消耗表)
 * @date 2024-03-20 15:25:44
 */
@Slf4j
@Component
public class OrderCostMonitorAlarmTask {

    @Resource
    private IOrderCostMonitorAlarmService  orderCostMonitorAlarmService;

    /**
     * 任务每10分钟运行一次
     */
//    @Scheduled(cron = "0 0/10 * * * ? ")
    public void run() {
        log.error("订单与消耗监控告警定时任务开始.");
        try {
            //监控数据状态
            orderCostMonitorAlarmService.monitorDataStatus();
        } catch (Exception e) {
            log.error("订单与消耗监控告警定时任务开始", e);
        }
    }
}
